.menu-category-product-container {
    gap: 32px;
    flex: 1;
    display: flex;
    overflow: auto;
    margin: 40px 50px;
    flex-direction: column;
}

.menu-category-product-container .product-top-container {
    gap: 12px;
    cursor: pointer;
    align-items: center;
    display: inline-flex;
    align-self: flex-start;
}

.menu-category-product-container .product-top-container .text {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 24px;
    line-height: 20px;
}

.menu-category-product-container .product-container {
    display: flex;
    border-radius: 2px;
    flex-direction: row;
    background-color: var(--white);
    padding: 32px 32px 32px 60px;
}

.menu-category-product-container .product-container .product-data-wrapper {
    gap: 30px;
    width: 50%;
    display: flex;
    padding-right: 60px;
    flex-direction: column;
}

.menu-category-product-container .product-container .product-data-wrapper .product-image {
    width: 150px;
    height: 150px;
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container {
    gap: 17px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}


.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-name {
    font-size: 30px;
    line-height: 30px;
    font-family: "Roboto600";
    color: var(--black);
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-price-container {
    gap: 12px;
    display: flex;
    align-items: center;
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-price-container .product-price {
    font-size: 32px;
    padding-top: 4px;
    line-height: 32px;
    font-family: "Bebas Neue700";
    color: var(--black);
}

.menu-category-product-container .product-container.has-discount .product-data-wrapper .product-data-container .product-price-container .product-price {
    text-decoration-line: line-through;
    color: var(--text-3);
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-price-container .product-price-discounted {
    display: none;
}

.menu-category-product-container .product-container.has-discount .product-data-wrapper .product-data-container .product-price-container .product-price-discounted {
    gap: 8px;
    display: flex;
    border-radius: 2px;
    align-items: flex-start;
    padding: 4px 4px 0 4px;
    background: var(--Olerex-main);

    color: var(--black);
    text-align: right;
    font-family: "Bebas Neue700";
    font-size: 32px;
    line-height: 32px;
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-buttons-container {
    gap: 8px;
    padding: 8px;
    display: flex;
    max-width: 170px;
    border-radius: 2px;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background: var(--black, #1E1E1E);
    box-shadow: 0 7px 10px 0 rgba(0, 0, 0, 0.07);
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-buttons-container .remove {
    cursor: pointer;
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-buttons-container .quantity {
    display: flex;
    flex-shrink: 0;
    padding: 0 6px;
    font-size: 36px;
    margin-top: 4px;
    line-height: 36px;
    text-align: center;
    color: var(--white);
    flex-direction: column;
    justify-content: center;
    font-family: "Bebas Neue700";
}

.menu-category-product-container .product-container .product-data-wrapper .product-data-container .product-buttons-container .add {
    cursor: pointer;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info {
    gap: 16px;
    display: flex;
    flex-shrink: 0;
    flex-direction: column;
    align-items: flex-start;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-title {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 24px;
    line-height: 24px;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container {
    max-height: 150px;
    overflow: hidden;
    position: relative;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container.show-full-info {
    max-height: 100%;
    overflow: initial;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container .info-content {
    min-height: 30px;
    overflow: hidden;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container.show-full-info .info-content {
    height: auto;
    max-height: initial;
    overflow: initial;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container .info-toggle-bg {
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    transform: rotate(180deg);
    background: linear-gradient(0deg, rgba(250, 250, 250, 0.00) 49.84%, #FFF 91.38%);
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-toggle-container.show-full-info .info-toggle-bg {
    display: none;
}

.menu-category-product-container .product-container .product-data-wrapper .product-additional-info .info-read-more {
    gap: 8px;
    display: flex;
    cursor: pointer;
    align-self: stretch;
    align-items: center;
    flex-direction: column;

    color: var(--text-3);
    text-align: center;
    font-family: 'Roboto400';
    font-size: 16px;
    text-decoration-line: underline;
}
